Skip to main content
GET
/
v1
/
account
Get account summary
curl --request GET \
  --url https://joyride.exchange/api/v1/account
{
  "wallet": "GmQozSzrtMjXt5F1Bed8Vrt55zCbiga8vDZr47RX9wC8",
  "available": 9500000000,
  "locked": 500000000,
  "total_pnl": 250000000,
  "return_pct": 2.5,
  "positions": [
    {
      "instrument_id": "SOL_USDC-28FEB26-150-C",
      "quantity": 1000,
      "avg_price": 1500000
    }
  ]
}

Headers

x-wallet
string

Wallet address — primary user identification method

x-device-id
string

Device identifier — mobile fallback when x-wallet is not set

Query Parameters

wallet
string

Wallet address — fallback if neither x-wallet nor x-device-id headers are set

Response

Account summary

wallet
string
required
Example:

"GmQozSzrtMjXt5F1Bed8Vrt55zCbiga8vDZr47RX9wC8"

available
integer
required

Available balance in USDC micros

Example:

9500000000

locked
integer
required

Locked balance reserved for resting bid orders (USDC micros)

Example:

500000000

total_pnl
integer
required

Total P&L derived from balance: (available + locked) - initial_balance (USDC micros).

Example:

250000000

return_pct
number<double>
required

Percentage return: total_pnl / initial_balance * 100.

Example:

2.5

positions
object[]
required